<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XParameterMember StructType
 * @subpackage Structs
 */
class XParameterMember extends AbstractStructBase
{
    /**
     * The selectionOrder
     * Meta information extracted from the WSDL
     * - default: 0
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var string
     */
    public $selectionOrder;
    /**
     * The parameter
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $parameter;
    /**
     * The value
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $value;
    /**
     * Constructor method for XParameterMember
     * @uses XParameterMember::setSelectionOrder()
     * @uses XParameterMember::setParameter()
     * @uses XParameterMember::setValue()
     * @param string $selectionOrder
     * @param string $parameter
     * @param string $value
     */
    public function __construct($selectionOrder = '0', $parameter = null, $value = null)
    {
        $this
            ->setSelectionOrder($selectionOrder)
            ->setParameter($parameter)
            ->setValue($value);
    }
    /**
     * Get selectionOrder value
     * @return string
     */
    public function getSelectionOrder()
    {
        return $this->selectionOrder;
    }
    /**
     * Set selectionOrder value
     * @param string $selectionOrder
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XParameterMember
     */
    public function setSelectionOrder($selectionOrder = '0')
    {
        $this->selectionOrder = $selectionOrder;
        return $this;
    }
    /**
     * Get parameter value
     * @return string|null
     */
    public function getParameter()
    {
        return $this->parameter;
    }
    /**
     * Set parameter value
     * @param string $parameter
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XParameterMember
     */
    public function setParameter($parameter = null)
    {
        $this->parameter = $parameter;
        return $this;
    }
    /**
     * Get value value
     * @return string|null
     */
    public function getValue()
    {
        return $this->value;
    }
    /**
     * Set value value
     * @param string $value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XParameterMember
     */
    public function setValue($value = null)
    {
        $this->value = $value;
        return $this;
    }
}
